Introducing Microsoft Small Business Server 2000


About this Tour

What's in the Box?

Integrated Setup

Monitoring

Management

Remote Management

Small Business Server Internet Connection Wizard

Deploy Client Applications

Learn More


# About this Tour

This tour provides a short introduction to Small Business Server 2000.

You can navigate through this tour using the buttons above or by clicking the links at left.

This tour explains the following:

  • The applications that comprise Small Business Server 2000.
  • The Small Business Server 2000 value-added features:
    • Monitoring
    • Management
    • Remote Management
    • Small Business Server Internet Connection Wizard
    • Client Deployment

At the end of the tour, additional information is listed on the Learn More page, including links to Web resources, links to online help topics or other tours, references to the BackOffice Server 2000 Planning and Installation guide, and additional reference material such as Knowledge Base articles and Microsoft Press publications.


What's in the Box?

What’s in the Box?

Small Business Server 2000 integrates value-added features with Microsoft server applications to meet the computer network demands of your small business. It provides several key improvements over Small Business Server 4.5, including improved setup, no more limitations on server applications, and no more reliance on modems during setup.

Small Business Server 2000 provides a network operating system, messaging, database, shared communications, and firewall protection. For details about the different applications available to you, click on each link below.

  • Windows 2000 Server Network operating system
  • Exchange 2000 Server Messaging and information sharing
  • SQL Server 2000 Database
  • Internet Security and Acceleration (ISA) Server 2000 Firewall and Web caching
  • Shared Fax Service and Shared Modem Service Fax and modem pooling


Windows 2000 Server

Windows 2000 Server is a network operating system that is reliable, powerful, and easy to use. Windows 2000 provides enhanced data security and simple, schedulable data backups. Windows 2000 Server supports synchronization between local and server-based folders, roaming profiles, and the ability to lock down desktop and Start menu settings.


Exchange 2000 Server

Exchange 2000 Server offers a messaging foundation for your business communication environment. Members of your organization can exchange information with each other, with users on the Internet, and with other systems. Users can send documents, spreadsheets, graphics, and other items by electronic mail to other users, view items that are available in public folders, or post items in public folders so that other users can gain access to them. Exchange Server also offers conferencing, chat services and instant messaging.


SQL Server 2000

The SQL Server™ 2000 relational database management system provides an industry-standard Structured Query Language (SQL) interface and a powerful client/server platform for delivering critical business applications effectively across multiple protocol and software environments. SQL Server is a complete database solution for e-business.


Internet Security and Acceleration (ISA) Server 2000

ISA Server 2000 is an extensible firewall and Web cache server that provides multilayered Internet security while improving network response time and efficiency. ISA Server features distributed and hierarchical caching to provide scalability and performance. In addition, it acts as a gateway with firewall-class security between a LAN and the Internet, while reducing the cost of connecting to the Internet and running an intranet.


Shared Fax Service and Shared Modem Service

Shared Fax Service and Shared Modem Service allow you to centrally manage fax and modem use and centrally distribute incoming faxes. By pooling all hardware, this server eliminates the need for each workstation to have its own modem and for each office to have multiple phone lines. Modem sharing also reduces waiting time for connections by automatically using the next available modem in the pool to handle dial-in or dial-out requests.


Monitoring

Server health is essential to running a successful network. Small Business Server 2000 includes several tools to aid you in monitoring your Small Business Server. For more information, click one of the following links.

  • Health Monitor 2.1
  • Server Status View
  • Server Status Report


Health Monitor 2.1

The graphical Health Monitor interface gives you easy access to several categories of real-time, low-level details for your server. In response to a problem, Health Monitor provides notification actions that you can customize. This tool centrally collects data from both the Event Viewer and System Monitor (formerly Performance Monitor) to enable you to view detailed status of your Small Business Server computer.


Server Status View

Server Status View is part of the BackOffice Home snap-in. It is designed for technology consultants and power users and provides a high-level, summary view of server status that is divided into three panes:

  • Top—Alerts
  • Middle—Counters
  • Bottom—Services


Server Status Report

You can use the Server Status Report to schedule text-based server status reports to be sent to multiple e-mail addresses or a single fax number. These reports can be sent as frequently as you want.

If the reports are sent through e-mail, you can attach chronological log files, such as the Event Log or backup log, or send raw data in an XML document. The data can then be stored for historical analysis and forecasting.


Management

Small Business Server uses the Microsoft Management Console (MMC) to provide a framework for centralized management with a consistent interface. Similar to Windows Explorer, the Console Tree contains the Console Tree tab and a Favorites tab. The Details Pane contains details about the selected node in the Console Tree.

The Console Tree contains the snap-ins that provide management functionality. For the currently selected node in the Console Tree, the Details Pane contains the child nodes and information about the node. The Favorites tab contains tips and shortcuts that you can use to gain access to tasks quickly. Taskpads can contain folder lists, task icons, and links.

Although you can create and customize MMC console files (.msc) files to accomplish virtually any management task, Small Business Server ships preconfigured consoles for immediate use.

  • Administrator Console
  • Power User Console


Administrator Console

The Small Business Server Administrator Console is designed for members of the administrators group and contains a full range of management snap-ins, including the BackOffice Manager, BackOffice Home, and Terminal Services snap-ins, links to Help, Tips, Health Monitor, and snap-ins for Small Business Server applications.


Power User Console

The Small Business Server Personal Console is designed for power users and contains limited management tools, including the BackOffice Home taskpad as well as taskpads for users, groups, and computers.

It is a task-oriented console containing only a Favorites tab in the Console Tree and a set of taskpads in the Details Pane, preventing users from navigating the snap-in structure of the console.


Remote Management

Small Business Server 2000 includes the new Windows 2000-based Terminal Services remote administration mode.

Remote administration mode lets you administer your Small Business Server computer from a variety of Windows-based client workstations over TCP/IP. When you start a Terminal Services session and log on to the remote server, you receive a secure, emulated remote desktop on your local computer, making it appear that you are working at the remote server.

The Terminal Services Web Client lets you remotely administer a BackOffice Server from any computer running an ActiveX-capable Web browser. Small Business Server Setup configures a virtual root on Internet Information Services and drops an ASP page there. When you browse to it, an ActiveX control that allows you to use Terminal Services is installed on your computer.


Small Business Server Internet Connection Wizard

The Small Business Server Internet Connection Wizard configures Windows 2000 Server networking, Exchange 2000 Server, and Internet Security and Acceleration Server 2000 for a connection to the Internet.

It will also configure Exchange 2000 Server to download e-mail from your ISP by creating an SMTP connector. The wizard allows you to set a mail delivery frequency that best optimizes your connection type. Although the default is set for every hour, you can schedule mail delivery at any interval.


Deploy Client Applications

Small Business Server 2000 helps automate the task of deploying applications to client workstations by using the Set Up Computer Wizard. You can also use Terminal Services in application sharing mode for client workstations that may not be able to run applications locally (you will need to run this on a separate Windows 2000 Server computer.)

  • Set Up Computer Wizard
  • Terminal Services


Set Up Computer Wizard

By default, the Set Up Computer Wizard includes only the client software that ships with Microsoft Small Business Server 2000 (such as Firewall Client and Shared Fax Service Client). However, you can add virtually any application, such as Office 2000, to the Set Up Computer Wizard to deploy to your client workstations.


Terminal Services

Terminal Services running in application-sharing mode must run on a separate Windows 2000 Server computer.

All application processing occurs on the server, which sends an emulated desktop to the client. After a user logs on to both the client computer and the server running Terminal Services, applications open in the Terminal Services window on the client desktop. The user on the client computer works as though the application were running locally.


Learn More

You have now finished the Introduction to Small Business Server 2000 tour. See below for additional information.

Web Sites

Small Business Server

Knowledge Base Search

Microsoft Technet

Microsoft bCentral

Online Help

Features at a Glance

Links to Product Home Pages

Additional Tours

Using Management Consoles

Introduction to Server Health and Monitoring

Remote Administration Using Terminal Services

Connecting to the Internet.

Deploying Client Applications

Planning Guide

Microsoft Small Business Server 2000 Planning and Installation

Planning and Installation Online


Integrated Setup

Small Business Server 2000 installs and configures all server applications, services, and service packs through a single, integrated setup utility that includes disk space, system compatibility, and dependency checking.

Small Business Server setup detects current version levels and recommends appropriate application or service pack upgrades. Small Business Server setup significantly reduces the complexity of server setup by automatically defaulting many common parameters and consolidating the number of setup screens you may need to walk through.

In maintenance mode you can add or remove both value-added features and server applications.